Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetCommand

    java.lang.Object
      jet.controls.JetProperty
          jet.controls.JetCommand

    public class JetCommand

extends JetProperty

Property with a command value

Field Summary

Fields inherited from class jet.controls.JetProperty
`CHART_BACKGROUND_EDITOR, CHART_FILLPATTERN_EDITOR, CHART_FILTER_EDITOR, CHART_FILTER_EDITOR_NO_DATE, CHART_ICON_STYLE, CHART_PATTERN_LIST_EDITOR, CHART_PENSTYLE_EDITOR, CHART_TEXTSTYLE_EDITOR, CHOICE_EDITOR, COLOR_EDITOR, COMBO_EDITOR, COMMAND_EDITOR, CONTROL_SELECT_ITEMS, DATASOURCE_EDITOR, DBCOL_EDITOR, DETAIL_REPORT_EDITOR, EDIT_FORBIDDEN, EDIT_FORBIDDEN_INIT, EDITABLE_ALLTIME, INTERNAL, LINK_EDITOR, MULSEL_EDITOR, PARAMCOL_EDITOR, QUERY_EDITOR, RECORDDB_EDITOR, SECURITY_EDITOR, TEXT_EDITOR`

Constructor Summary
`JetCommand()`
`JetCommand(JetObject parent, java.lang.String name)`

Method Summary
`static int` | `allocCommand()`
`int` | `get()`
`java.lang.Object` | `getData()`
`void` | `set(int value)`
`void` | `set(java.lang.String theval)` Sets the value to this property via a String.
`void` | `setData(java.lang.Object o)`
`void` | `setValue(int value)`
`java.lang.String` | `toString()`
`java.lang.String` | `toUnitString()` Return the value as a string, if the property is based on unit, before return will converte the pixels to unit.

Methods inherited from class jet.controls.JetProperty
`canChangeByBL, canChangeByFmtt, canChangeByOthers, getChangeBy, getChangeByBL, getChangeByBLName, getChangeByFmtt, getChangeByFmttName, getChangeByObject, getChangeByObjectName, getEditFlag, getEditorType, getInspValue, getInspValue, getMatchingSqlType, getName, getNormalObject, getObject, getParent, getPropertyChoice, getPropType, getUnifiedObject, getValue, isChagneByFmtt, isChangeByBL, isChangeByOther, isNull, isTransient, loadFullChangeBy, propertyChanged, saveFullChangeBy, setCanChangeByBL, setCanChangeByFmtt, setCanChangeByOthers, setChangeByBL, setChangeByFmtt, setChangeByObject, setEditFlag, setEditorType, setObject, setTransient, setUnitValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JetCommand

    public JetCommand()

### JetCommand

    public JetCommand(JetObject parent,
                      java.lang.String name)

Method Detail

### set

    public void set(java.lang.String theval)

  Description copied from class: `JetProperty`
  Sets the value to this property via a String.

  Overrides:
    `set` in class `JetProperty`
  Parameters:
    `theval` - the String val

### set

    public void set(int value)

### setValue

    public void setValue(int value)

### get

    public int get()

### setData

    public void setData(java.lang.Object o)

### getData

    public java.lang.Object getData()

### allocCommand

    public static int allocCommand()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toUnitString

    public java.lang.String toUnitString()

  Description copied from class: `JetProperty`
  Return the value as a string, if the property is based on unit, before return will converte the pixels to unit.

  Overrides:
    `toUnitString` in class `JetProperty`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD